/**
  *  \file planetscentral/dbclient/mailclient.h
  */
#ifndef C2SERVER_PLANETSCENTRAL_DBCLIENT_MAILCLIENT_H
#define C2SERVER_PLANETSCENTRAL_DBCLIENT_MAILCLIENT_H

#include "planetscentral/dbclient/connection.h"
#include "planetscentral/dbclient/dbclient.h"

class MailClient : public DbClient {
 public:
    // Building a message
    void startMail(string_t tpl);
    void startMail(string_t tpl, string_t uid);

    void addParameter(const char* name, const string_t& value);
    void addParameter(string_t name, const string_t& value);
    void addParameter(const char* name, int32_t value);
    void addParameter(string_t name, int32_t value);

    void attachFile(string_t url);

    void sendTo(string_t addr);
    void sendTo(const StringList_t& addr);

    // Canceling messages
    void cancel(string_t uid);
};

#endif
