/**
  *  \file planetscentral/format/simpacker.h
  *  \brief Format - Simulator Packer
  */
#ifndef C2SERVER_PLANETSCENTRAL_FORMAT_SIMPACKER_H
#define C2SERVER_PLANETSCENTRAL_FORMAT_SIMPACKER_H

#include "planetscentral/format/packer.h"

struct TSimShipData;
struct TSimPlanetData;

/** A packer for saved simulations (.ccb files) */
class SimPacker : public Packer {
 public:
    virtual string_t pack(IntValue* data);
    virtual IntValue* unpack(const string_t& data);

 private:
    IntValue* describeShip(const TSimShipData& sh, int version);
    IntValue* describePlanet(const TSimPlanetData& pl, int version);

    void packShip(TSimShipData& sh, IntValue* p, int version);
    void packPlanet(TSimPlanetData& pl, IntValue* p, int version);
};

#endif
